entropy_poll.h File Reference

Platform-specific and custom entropy polling functions. More...

`#include "mbedtls/config.h"`
`#include <stddef.h>`
Include dependency graph for entropy_poll.h:

Go to the source code of this file.

## Macros

#define | MBEDTLS_ENTROPY_MIN_PLATFORM 32
#define | MBEDTLS_ENTROPY_MIN_HAVEGE 32
#define | MBEDTLS_ENTROPY_MIN_HARDCLOCK 4
#define | MBEDTLS_ENTROPY_MIN_HARDWARE 32

## Functions

int | mbedtls_platform_entropy_poll (void *data, unsigned char *output, size_t len, size_t *olen)
| Entropy poll callback that provides 0 entropy. More...
int | mbedtls_havege_poll (void *data, unsigned char *output, size_t len, size_t *olen)
| HAVEGE based entropy poll callback. More...
int | mbedtls_hardclock_poll (void *data, unsigned char *output, size_t len, size_t *olen)
| mbedtls_timing_hardclock-based entropy poll callback More...

## Detailed Description

Platform-specific and custom entropy polling functions.

Definition in file entropy_poll.h.

## Macro Definition Documentation

## MBEDTLS_ENTROPY_MIN_HARDCLOCK

#define MBEDTLS_ENTROPY_MIN_HARDCLOCK 4

Minimum for mbedtls_timing_hardclock()

Definition at line 42 of file entropy_poll.h.

## MBEDTLS_ENTROPY_MIN_HARDWARE

#define MBEDTLS_ENTROPY_MIN_HARDWARE 32

Minimum for the hardware source

Definition at line 44 of file entropy_poll.h.

## MBEDTLS_ENTROPY_MIN_HAVEGE

#define MBEDTLS_ENTROPY_MIN_HAVEGE 32

Minimum for HAVEGE

Definition at line 41 of file entropy_poll.h.

## MBEDTLS_ENTROPY_MIN_PLATFORM

#define MBEDTLS_ENTROPY_MIN_PLATFORM 32

Minimum for platform source

Definition at line 40 of file entropy_poll.h.

## Function Documentation

## mbedtls_hardclock_poll()

int mbedtls_hardclock_poll | ( | void * | data,
|  | unsigned char * | output,
|  | size_t | len,
|  | size_t * | olen
| ) |  |

mbedtls_timing_hardclock-based entropy poll callback

## mbedtls_havege_poll()

int mbedtls_havege_poll | ( | void * | data,
|  | unsigned char * | output,
|  | size_t | len,
|  | size_t * | olen
| ) |  |

HAVEGE based entropy poll callback.

Requires an HAVEGE state as its data pointer.

## mbedtls_platform_entropy_poll()

int mbedtls_platform_entropy_poll | ( | void * | data,
|  | unsigned char * | output,
|  | size_t | len,
|  | size_t * | olen
| ) |  |

Entropy poll callback that provides 0 entropy.

Platform-specific entropy poll callback